[arch-commits] Commit in hy/repos/community-any (PKGBUILD PKGBUILD)
Christian Hesse
eworm at gemini.archlinux.org
Fri Jan 14 09:03:51 UTC 2022
Date: Friday, January 14, 2022 @ 09:03:51
Author: eworm
Revision: 1103205
archrelease: copy trunk to community-any
Added:
hy/repos/community-any/PKGBUILD
(from rev 1103204, hy/trunk/PKGBUILD)
Deleted:
hy/repos/community-any/PKGBUILD
----------+
PKGBUILD | 122 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 61 insertions(+), 61 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-01-14 09:03:48 UTC (rev 1103204)
+++ PKGBUILD 2022-01-14 09:03:51 UTC (rev 1103205)
@@ -1,61 +0,0 @@
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: JP Cimalando <jp-dev at inbox.ru>
-
-pkgname=hy
-pkgver=1.0a4
-pkgrel=1
-pkgdesc="A dialect of Lisp that's embedded in Python"
-arch=('any')
-url="http://hylang.org/"
-license=('MIT')
-depends=('python-rply' 'python-astor' 'python-funcparserlib' 'python-colorama')
-makedepends=('python-setuptools')
-checkdepends=('python-pytest' 'python-pytest-runner')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/hylang/hy/archive/$pkgver.tar.gz")
-sha256sums=('3cc60daa17071027248b027de9ab47ba7ec15a1b020651fcc8362a825b52ca1b')
-
-prepare() {
- cd "$pkgname-$pkgver"
-
- # usually generated from git metadata and aded to PyPI sdist
- # PyPI does not include testsuite files.
- echo "__version__ = '$pkgver'" > hy/version.py
-}
-
-build() {
- cd "$pkgname-$pkgver"
- python setup.py build
-}
-
-check(){
- cd "$pkgname-$pkgver"
-
- python setup.py develop --user
- PATH="$HOME/.local/bin:$PATH"
- pytest
-
- # Hy does magic to the bytecode, but we need this gone from check.
- # this should be generated as part of the build step
- for file in hy/contrib/__pycache__/__init__.cpython-*.pyc \
- hy/contrib/__pycache__/loop.cpython-*.pyc \
- hy/contrib/__pycache__/sequences.cpython-*.pyc \
- hy/contrib/__pycache__/walk.cpython-*.pyc \
- hy/core/__pycache__/__init__.cpython-*.pyc \
- hy/core/__pycache__/language.cpython-*.pyc \
- hy/core/__pycache__/macros.cpython-*.pyc \
- hy/core/__pycache__/shadow.cpython-*.pyc \
- hy/extra/__pycache__/__init__.cpython-*.pyc \
- hy/extra/__pycache__/anaphoric.cpython-*.pyc \
- hy/extra/__pycache__/reserved.cpython-*.pyc
- do
- rm "$file" || true
- done
-
-}
-
-package() {
- cd "$pkgname-$pkgver"
- python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
- install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
- rm -rf "$pkgdir/usr/get_version"
-}
Copied: hy/repos/community-any/PKGBUILD (from rev 1103204, hy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-01-14 09:03:51 UTC (rev 1103205)
@@ -0,0 +1,61 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: JP Cimalando <jp-dev at inbox.ru>
+
+pkgname=hy
+pkgver=1.0a4
+pkgrel=2
+pkgdesc="A dialect of Lisp that's embedded in Python"
+arch=('any')
+url="http://hylang.org/"
+license=('MIT')
+depends=('python-rply' 'python-astor' 'python-funcparserlib' 'python-colorama')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest' 'python-pytest-runner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/hylang/hy/archive/$pkgver.tar.gz")
+sha256sums=('3cc60daa17071027248b027de9ab47ba7ec15a1b020651fcc8362a825b52ca1b')
+
+prepare() {
+ cd "$pkgname-$pkgver"
+
+ # usually generated from git metadata and aded to PyPI sdist
+ # PyPI does not include testsuite files.
+ echo "__version__ = '$pkgver'" > hy/version.py
+}
+
+build() {
+ cd "$pkgname-$pkgver"
+ python setup.py build
+}
+
+check(){
+ cd "$pkgname-$pkgver"
+
+ python setup.py develop --user
+ PATH="$HOME/.local/bin:$PATH"
+ pytest
+
+ # Hy does magic to the bytecode, but we need this gone from check.
+ # this should be generated as part of the build step
+ for file in hy/contrib/__pycache__/__init__.cpython-*.pyc \
+ hy/contrib/__pycache__/loop.cpython-*.pyc \
+ hy/contrib/__pycache__/sequences.cpython-*.pyc \
+ hy/contrib/__pycache__/walk.cpython-*.pyc \
+ hy/core/__pycache__/__init__.cpython-*.pyc \
+ hy/core/__pycache__/language.cpython-*.pyc \
+ hy/core/__pycache__/macros.cpython-*.pyc \
+ hy/core/__pycache__/shadow.cpython-*.pyc \
+ hy/extra/__pycache__/__init__.cpython-*.pyc \
+ hy/extra/__pycache__/anaphoric.cpython-*.pyc \
+ hy/extra/__pycache__/reserved.cpython-*.pyc
+ do
+ rm "$file" || true
+ done
+
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ rm -rf "$pkgdir/usr/get_version"
+}
More information about the arch-commits
mailing list